//
//  SecretKey.swift
//  HYVvppn
//
//  Created by Mr. Liu on 2025/7/31.
//

import Foundation

// 定义密钥类型枚举
enum KeyType {
    case encryption  // 加密密钥
    case decrypt     // 解密密钥
    case salt        // 解密密钥
  
}

// 密钥管理枚举
enum SecretKey {
    case primary
    // 获取对应类型的密钥值
    func value(for type: KeyType) -> String {
        switch self {
        case .primary:
            switch type {
            case .encryption:
                return "Q8bkWigT"
            case .decrypt:
                return "ljda_dj@.dv?sjdf"
            case .salt:
                return "2513Lii%$nash(ee)66"
            }
        }
    }
    
    // 便捷属性：直接获取加密密钥
    var encryptKey: String {
        value(for: .encryption)
    }
    
    // 便捷属性：直接获取解密密钥
    var decryptKey: String {
        value(for: .decrypt)
    }
    // 便捷属性：直接获取salt
    var saltKey: String {
        value(for: .salt)
    }
}
